import { BehaviorSubject, NextObserver, Observable } from 'rxjs';
export declare class LocalStorageSubject<T> extends Observable<T> implements NextObserver<T>, Pick<BehaviorSubject<T>, 'value'> {
    private key;
    private defaultValue;
    constructor(key: string, defaultValue: T);
    next(value: T): void;
    get value(): T;
}
